<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Contracts;

interface SubscriberInterface
{
    /**
     * Return an array of eventName => handler or eventName => [handler, priority].
     */
    public static function subscribedEvents(): array;
}
